#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-Jr2VbQQmTzpJrrOqssF3gd
key:                  snap-core-1.0.4.2-Jr2VbQQmTzpJrrOqssF3gd
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  f877a803df524cd5f134a7354b0f6c11
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.0.1/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-Jr2VbQQmTzpJrrOqssF3gd
depends:
    HUnit-1.6.2.0-2lDDmQCEetY9OrwZ2lDZMS
    attoparsec-0.14.1-FCw2YbaswCt6roS8dkagL4 base-4.15.0.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-3Jvgx8NTNrGIQPGdLKdwuc containers-0.6.4.1
    directory-1.3.6.1 filepath-1.4.2.1
    hashable-1.3.3.0-LgC2GKp34OLEabneGtyuCb
    io-streams-1.5.2.1-IXRL4WVmY5JJJWFwYH9KdZ
    lifted-base-0.2.3.12-GbBxJZdldOe18CReEPyAMR
    monad-control-1.0.3.1-FVuy6K1bG22AmzeecOYTsL mtl-2.2.2
    network-3.1.2.2-AIHAQTgcOP2p9DGqwUMBL
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa
    old-locale-1.0.0.7-8b6vATcbl2rGNT5WzdAV1N
    random-1.2.1-GTaXQEmVKZP2pnqal7ZY4e
    readable-0.3.1-Afw7RWAgDtZHzFfKPC3wpg
    regex-posix-0.96.0.1-ICff79JbeoKL4XN6EAg8yK text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-AfHPvxbHl4uCAVG5DYtFvV
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll
    vector-0.12.3.1-KJ02XewdvWJHGa2GVFsQSX

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

